// InputTextDialog.cpp : Cve[V t@C
//

#include "stdafx.h"
#include "Quick.h"
#include "InputTextDialog.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// InputTextDialog _CAO


InputTextDialog::InputTextDialog(CWnd* pParent /*=NULL*/)
	: CDialog(InputTextDialog::IDD, pParent)
{
	//{{AFX_DATA_INIT(InputTextDialog)
	//}}AFX_DATA_INIT
}

BOOL InputTextDialog::OnInitDialog()
{
	VERIFY( m_EditBox1.SubclassDlgItem(IDC_EDIT4, this) );
	m_EditBox1.SetWindowText( (LPCTSTR)TextBuffer );

	CWnd *pStatic = GetDlgItem(IDC_STATIC1);
	pStatic->SetWindowText( (LPCTSTR)Comment);

	CWnd::SetWindowText( (LPCTSTR)Title );
	return TRUE;
}

void InputTextDialog::SetInputItems(char *intext, char *com)
{
	strcpy( TextBuffer, intext );
	Comment = com;
}

void InputTextDialog::SetTitle(char *title)
{
	Title = title;
}

char *InputTextDialog::Text()
{
	return TextBuffer;
}

void InputTextDialog::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(InputTextDialog)
	DDX_Control(pDX, IDC_EDIT4, m_EditBox1);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(InputTextDialog, CDialog)
	//{{AFX_MSG_MAP(InputTextDialog)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// InputTextDialog bZ[W nh

void InputTextDialog::OnCancel() 
{
	// TODO: ̈ʒuɓʂȌ㏈ǉĂB
    
	m_EditBox1.GetWindowText( TextBuffer, sizeof(TextBuffer) );
	CDialog::OnCancel();
}

void InputTextDialog::OnOK() 
{
	// TODO: ̈ʒuɂ̑̌ؗp̃R[hǉĂ
	m_EditBox1.GetWindowText( TextBuffer, sizeof(TextBuffer) );
	CDialog::OnOK();
}

static InputTextDialog aInputTextDialog;

BOOLEAN OpenInputTextDialog(char *inputtext, char *t, char *c)
{
  aInputTextDialog.SetInputItems(inputtext, c);
  aInputTextDialog.SetTitle(t);
  if ( aInputTextDialog.DoModal() == IDCANCEL ){
    return FALSE;
  } else {
    strcpy(inputtext, aInputTextDialog.Text());
    return TRUE;
  }
}
